package com.ozs.mdm.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class UpdateTableDTO {
	@ApiModelProperty("ID")
	private String id;

	@ApiModelProperty("表名称")
	private String tableName;
	@ApiModelProperty("新的表名称")
	private String newTableName;
	@ApiModelProperty("表注释（中文名）")
	private String tableComment;
	@ApiModelProperty("所属数据库ID")
	private String databaseId;
	@ApiModelProperty("创建人ID")
	private String updateUserId;
	@ApiModelProperty("表描述")
	private String tableDesc;
	@ApiModelProperty("修改字段列表")
	private List<UpdateColumnDTO> columns;

	public String getNewTableName() {
		return newTableName;
	}

	public void setNewTableName(String newTableName) {
		this.newTableName = newTableName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getTableComment() {
		return tableComment;
	}

	public void setTableComment(String tableComment) {
		this.tableComment = tableComment;
	}

	public String getDatabaseId() {
		return databaseId;
	}

	public void setDatabaseId(String databaseId) {
		this.databaseId = databaseId;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public String getTableDesc() {
		return tableDesc;
	}

	public void setTableDesc(String tableDesc) {
		this.tableDesc = tableDesc;
	}

	public List<UpdateColumnDTO> getColumns() {
		return columns;
	}

	public void setColumns(List<UpdateColumnDTO> columns) {
		this.columns = columns;
	}

}
